Bug 443264 - should add itself to Apps -> Add / Remove
should add itself to Apps -> Add / Remove
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 17:15 EDT by Martin Jürgens
Modified: 2008-04-21 09:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-20 14:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2008-04-19 17:15:48 EDT
Description of problem:
In current Fedora, the menu entry Add / Remove Software in Applications is
missing. Would be great if it would be a shortcut to PackageKit and if it would
be changed before of the release of F9.
Comment 1 Richard Hughes 2008-04-20 14:23:14 EDT
No, I think it belongs in System, sorry. I never liked the "in-your-face" pirut
application there - we need to get applications to install thier own software,
not force the user to. PackageKit isn't a replacement for pirut, it's a new
abstract way of installing software.
Comment 2 Martin Jürgens 2008-04-20 14:56:24 EDT
Doesn't Fedora 9 ship with PackageKit by default?

I just think that most distros ship their package management apps under Apps ->
Add / Remove and it would be good if it would be in the same place for
switchers. For the time being apps not installing yet their own software, it
would be good to leave it. Otherwise they may think that Fedora does not have a
package management gui.

Installing new additional software happens often on a system, and many
developers are using Fedora. Apps -> Add / Remove are 2 clicks, System ->
Administration -> xx are 3. Isn't it all about simplicity? 
Comment 3 Martin Jürgens 2008-04-20 14:58:14 EDT
Btw., IMO the software / application installation tool being located under
Applications is a little (really only a little bit) more obvious then locating
it under System.
Comment 4 Richard Hughes 2008-04-21 09:00:05 EDT
>Doesn't Fedora 9 ship with PackageKit by default?

Yup.

>Isn't it all about simplicity?

Nope, not when other tools are being developed that will fulfil the "I want this
application installed" use case, not the "I want to manage packages" use case.

Installing _packages_ is an admin thing, installing _programs_ is a user thing.
Comment 5 Martin Jürgens 2008-04-21 09:09:10 EDT
Well, cleared out on IRC :)

Note You need to log in before you can comment on or make changes to this bug.